oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio
1223 Discussions

Python version mismatch between oneApi base toolkit and analytics toolkit

ArunG1
Beginner
1,360 Views

Hello,

 

I installed OneApi basetool kit then I tried to install One Api Analytics toolkit. while installing the package using miniconda 

 

conda install intel-aikit-modin

 

Its giving error that python installed should be version < 3.8....the version i see installed by OneApi base toolkit i 3.9.....so how will anyone install Analytics toolkit following the correct order of Base toolkit followed by Analytics toolkit 

0 Kudos
10 Replies
Soumya_M_Intel
Moderator
1,325 Views

Hi ArunG1,


Thanks for posting your concern on the forum. Kindly let us know the below details. They will allow us to assist you better.


  • The version of the Intel® oneAPI Base Toolkit
  • The log file of the Intel® oneAPI AI Analytics Toolkit installation.


Looking forward to your update.


Regards,

Soumya


0 Kudos
ArunG1
Beginner
1,314 Views

I have attached below the screenshot of the error during the installation

ArunG1_0-1666825775145.png

 

Intel OneApi Version

ArunG1_1-1666826039501.png

2022.3

0 Kudos
ArunG1
Beginner
1,292 Views

I am using Windows 11 system

0 Kudos
Soumya_M_Intel
Moderator
1,277 Views

Hi Arun,


Thanks for the screenshots. These would be helpful for us to check on the issue with our internal team. Kindly wait for 2-3 business days. We will get back to you as soon as possible.


Regards,

Soumya


0 Kudos
Soumya_M_Intel
Moderator
1,233 Views

Hi Arun,

 

Thanks for your patience. We have checked on the concern with our internal team. Proceeding further, we are escalating it to them. Please wait for 2-3 business days. They will get back to you as soon as there have an update regarding it.

 

Regards,

Soumya

0 Kudos
Soumya_M_Intel
Moderator
1,155 Views

Hi Arun,


We apologize for the delay. However, we appreciate your patience. We are still checking with workarounds and replicating them in a similar environment to resolve your concern. Please wait for 2-3 business days. We will get back to you as soon as we can.


Regards,

Soumya


0 Kudos
Roy_A_Intel
Employee
1,148 Views

Hi Arun

Can you install Modin through conda forge instead and let us know if the error goes away:

conda install -c conda-forge modin


Thanks

Roy


0 Kudos
Soumya_M_Intel
Moderator
1,014 Views

Hi Arun,


As per our higher team, you may try installing modin-all from conda-forge. At this point, it is the only workaround we can share.


Please let us know if you have any queries regarding it.


Regards,

Soumya


0 Kudos
Soumya_M_Intel
Moderator
997 Views

Hi Arun,


We understand that you might be looking into the issue. However, this is to update you that we have not heard from you on our previous responses. Please reply within the next 24 business hours to keep this thread active.


Regards,

Soumya


0 Kudos
bevin_b_
New Contributor I
683 Views

I have just put in 3 more bug reports indirectly related to this topic.

How many more MONTHS does the development team need to provide a toolkit that will install and correct instructions for installing it?

0 Kudos
Reply